%define __distdep %(rpm -qf /etc/redhat-release | sed 's/-[^-]*$//' | head -1)
%define __distpkg %(echo %{__distdep} | sed 's/-[^-]*$//')
%define __distvers %(echo %{__distdep} | sed 's/.*-//' | tr -d '[:alpha:]')
%define __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | tr -d '[:space:]' | cut -c 1-4 | tr '[:upper:]' '[:lower:]')
%define __perl_version %(eval "`perl -V:version`"; echo $version)
%define __perl_package LMAP-CID2SPF

Summary:	%{__perl_package} module for perl 
Name:		perl-%{__perl_package}
Version:	0.9
Release:	2.%{__distinit}%{__distvers}
License:	Artistic
Group:		Applications/CPAN
Source0:	%{__perl_package}-%{version}.tar.gz
Url:		http://spf.pobox.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Requires:	%{__distpkg} >= %{__distvers}, perl >= %{__perl_version}
BuildRequires:	perl-XML-Parser
Requires:	perl-XML-Parser

%description
This module can be used to convert between two of the LMAP (Lightweight MTA
Authentication Protocol) formats currently being proposed:
                                                                                                                   
  CID = Microsoft's Caller-ID
  SPF = Sender Policy Framework
                                                                                                                   
It will convert a XML-fragment as proposed by CID to a record that can be
added to DNS as proposed by SPF.

%prep
%setup -q -n %{__perl_package}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
%{__make}
%{__make} test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -v {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    %{__sed} "s@^$RPM_BUILD_ROOT@@g" | \
    grep -v perllocal.pod | \
    grep -v "\.packlist" > %{__perl_package}-%{version}-filelist
if [ "$(%{__cat} %{__perl_package}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{__perl_package}-%{version}-filelist
%defattr(-,root,root)
%doc README* MANIFEST

%changelog
* Wed Apr 14 2004 Paul Howarth <paul@city-fan.org> 0.9-2
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuilt from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Thu Feb 26 2004 Paul Howarth <paul@city-fan.org> 0.9-1
- Initial build
